#include "canvas/Canvas.hpp"

void Canvas::init(int size)
{
  backGround.init(size);
  tree.init(size);
}

void Canvas::newGen(RenderTexture2D &target)
{
  BeginTextureMode(target);
  ClearBackground(WHITE);

  Dna dna = newDna();

  backGround.draw(&dna);
  tree.newGen();

  EndTextureMode();
}

void Canvas::deinit()
{
  backGround.deinit();
}
